### Method

# Pango Layout copy

#### Declaration [src]

    PangoLayout*
    pango_layout_copy (
      PangoLayout* src
    )

#### Description [src]

Creates a deep copy-by-value of the layout.

The attribute list, tab array, and text from the original layout are all copied by value.

#### Return value

Type: `PangoLayout`

The newly allocated `PangoLayout`

The caller of the method takes ownership of the data, and is responsible for freeing it.